TAO_NSLIST
1

# &applname;

Naming Service listing utility.

## SYNOPSIS

          &applname;
          -ORBoptions
          OPTION

## DESCRIPTION

&applname; lists the current entries in the NamingService; in a nicely formatted manner.

When invoked without arguments &applname; displays the contents of the default NamingService, including the protocol and endpoint of each object reference.

&applname; requires a running NamingService.

## OPTIONS

`-ORBoptions`

  The program follows the usual TAO ORB command line syntax. See &man_tao_orb_options;.

`--nsior`

  Display the naming service IOR and exit. This can be used to locate the TAO NameService for non-TAO applications and excludes using any other options.

`--ns` IOR

  Use given IOR for NamingService.

`--ior`

  Print the contents of the NamingService, including the IOR of each reference entry and the IOR of the NameService itself.

`--ctxior`

  Print additionally the IORs of any subcontexts found within NamingService.

`--tree` character

  Print tree of object registered in NamingService using character for drawing tramlines, defaults to "|" .

`--node` character

  Print tree of object registered in NamingService using character for drawing nodes, defaults to "+" .

`--noloops`

  Inhibit drawing of naming context loops.

`--name` name

  Lists sub-set of name, defaults to root.

`--ctxsep` character

  Set context separation character, defaults to "/".

`--kindsep` character

  Set ID/Kind separation character, defaults to ".".

`--max` number

  Set limit of displayed sub-context depth to number.

`--rtt` seconds

  Set the relative round trip timeout policy to seconds.

## SEE ALSO

&seealso;

## AUTHOR

Thomas Lockhart<Thomas.Lockhart@jpl.nasa.gov>

Simon Massey <sma@prismtech.com>